## Struct allowed_seq

zeep::xml::doctype::allowed_seq

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/doctype.hpp>

    struct allowed_seq : public zeep::xml::doctype::allowed_base {
      // construct/copy/destruct
      allowed_seq(allowed_ptr);
      ~allowed_seq();

      // public member functions
      void add(allowed_ptr);
      state_ptr create_state() const;
      bool element_content() const;
      void print(std::ostream &);

      // public data members
      allowed_list m_allowed;
    };

## Description

### `allowed_seq` public construct/copy/destruct

1.     allowed_seq(allowed_ptr a);

2.     ~allowed_seq();

### `allowed_seq` public member functions

1.     void add(allowed_ptr a);

2.     state_ptr create_state() const;

3.     bool element_content() const;

4.     void print(std::ostream & os);